Subject: Re: bug#5845: load-library vs. list-load-path-shadows

From: Leo <[email-masked]>
Date: Tue, 06 Apr 2010 15:40:56 +0100

On 2010-04-06 14:36 +0100, Juanma Barranquero wrote:
> [Forward of http://lists.gnu.org/archive/html/emacs-devel/2010-04/msg00182.html]
>
>
> (This is on Windows, so case insensitive search, etc.)
>
> I installed color-theme in my site-lisp, and then
>
>   M-x load-library <RET> authors <RET>
>
> fails because it finds site-lisp/color-theme/AUTHORS instead of
> lisp/emacs-lisp/authors.el[c], which is or isn't a bug (I think it's
> not, given that `load-library' clearly says that "LIBRARY is searched
> [...] both with and without `load-suffixes'").
>
> But at least `list-load-path-shadows' should use the same heuristics,
> so it could point out the problem...
>
>    Juanma

I wonder if it would be better not to include files with no extensions.
Quite a few packages include things like README/ChangeLog.

Leo